import _toConsumableArray from "@babel/runtime/helpers/toConsumableArray";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React from 'react';

function noop() {}

var FoundationMessageBarContext = /*#__PURE__*/React.createContext({
  hide: noop,
  messages: [],
  show: noop
});

function Provider(_ref) {
  var children = _ref.children;

  var _React$useState = React.useState([]),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      messages = _React$useState2[0],
      setMessages = _React$useState2[1];

  var hide = React.useCallback(function () {
    setMessages([]);
  }, []);
  var show = React.useCallback(function (text, ui) {
    setMessages(function (prevState) {
      return [].concat(_toConsumableArray(prevState), [{
        text: text,
        timestamp: Date.now(),
        ui: ui
      }]);
    });
  }, []);
  var context = React.useMemo(function () {
    return {
      hide: hide,
      messages: messages,
      show: show
    };
  }, [hide, messages, show]);
  return /*#__PURE__*/React.createElement(FoundationMessageBarContext.Provider, {
    value: context
  }, children);
}

export default {
  Consumer: FoundationMessageBarContext.Consumer,
  Context: FoundationMessageBarContext,
  Provider: Provider
};
//# sourceMappingURL=FoundationMessageBarContext.js.map